mon model ne marche pas

(truche) #1

hello i would like to make an entity for a mod. I made the model on techne but when I run the game stop :neutral_face:

Executing gradle command: runClient Build info: MCreator 1.8.3, 64-bit, 3923 MB, Windows 10 - cmd, JVM 1.8.0_202, JAVA_HOME: C:\Pylo\MCreator183\jdk © 2018 Microsoft Corporation. Tous droits r‚serv‚s. C:\Pylo\MCreator183\forge>gradlew -Dorg.gradle.java.home=“C:/Pylo/MCreator183/jdk” -Dorg.gradle.parallel=false -Dorg.gradle.jvmargs="-Xms512m -Xmx1500m" runClient This mapping ‘snapshot_20171003’ was designed for MC 1.12! Use at your own peril. :deobfCompileDummyTask :deobfProvidedDummyTask :getVersionJson :extractUserdev UP-TO-DATE :downloadClient SKIPPED :downloadServer SKIPPED :splitServerJar SKIPPED :mergeJars SKIPPED :applyBinaryPatches SKIPPED :extractDependencyATs SKIPPED :extractMcpData SKIPPED :extractMcpMappings SKIPPED :genSrgs SKIPPED :deobfMcMCP SKIPPED :sourceApiJava UP-TO-DATE :compileApiJava NO-SOURCE :processApiResources NO-SOURCE :apiClasses UP-TO-DATE :sourceMainJava UP-TO-DATE :compileJava UP-TO-DATE :processResources UP-TO-DATE :classes UP-TO-DATE :jar UP-TO-DATE

I can provide my model if you need to help me (if you explain me later)

(Pierre) #2

English:
Hi, this forum is mostly used by developers who are writing build scripts (ending with .gradle or .gradle.kts) or Gradle plugins (written in groovy, kotlin or java). An end-user who is not writing such files and yet faces issues related to the use of Gradle should probably look for support by the developers providing the build environment first. Given the listed tasks, it seems wise to start with Minecraft modding community forums.

The build seems to start correctly but there is a warning: This mapping ‘snapshot_20171003’ was designed for MC 1.12! Use at your own peril. Using incompatible binaries may lead to a crash to desktop. It might be worth investigating there.


Français:
Bonjour, ce forum est principalement utilisé par les développeurs qui écrivent des fichiers de build (qui se terminent par .gradle ou .gradle.kts) ou des plugins pour Gradle (code groovy, kotlin ou java). Un utilisateur final qui n’écrit pas ces fichiers mais qui rencontre des problèmes avec Gradle aura plus de chance de trouver du support auprès du ou des développeurs qui mettent à disposition l’environnement de build utilisé. Au vu des tâches listées, il semblerait que ce soit du côté de la communité des moddeurs Minecraft.

Le début du build semble bien se dérouler, mais attention au warning: This mapping ‘snapshot_20171003’ was designed for MC 1.12! Use at your own peril. Un programme qui s’arrête brutalement peut indiquer une erreur de compatibilité entre des binaires. Peut être regarder de ce côté ?